<div class="content-main smooth-animation" #lead>
  <app-loading-indicator></app-loading-indicator>
  <app-header class="w-100" [lead]="lead"></app-header>

  <mat-drawer-container autosize>
    <mat-drawer #drawer [mode]="sideNavMode" opened="true" class="border-0" style="height: 100%">
        <app-sidebar></app-sidebar>
    </mat-drawer>


    <div class="content-area" style="height: 95.5%; overflow: auto;">
      <div class="mx-1">
        <router-outlet></router-outlet>
      </div>
    </div>

    <app-footer></app-footer>

  </mat-drawer-container>

  <div role="button" class="cust-menu-btn d-flex align-items-center smooth-animation" [style]="{'left': drawer.opened ? '0px' :  '-150px'}" (click)="drawer.toggle();">
    <b style="width: 150px;">{{"MENU" | translate}}</b>
    <mat-icon class="ml-auto mr-2" *ngIf="!drawer.opened">keyboard_arrow_right</mat-icon>
    <mat-icon class="ml-auto mr-2" *ngIf="drawer.opened">keyboard_arrow_left</mat-icon>
  </div>

</div>

<!-- <div class="content-main smooth-animation" #lead>
  <app-loading-indicator></app-loading-indicator>
  <app-header class="" [lead]="lead"></app-header>
  <div class="sidebar">
    <app-sidebar></app-sidebar>
  </div>
  <div class="content-area">
    <router-outlet></router-outlet>
  </div>
  <app-footer></app-footer>
</div> -->
